@setlocal
@chcp 65001 >nul

@echo enitsys SQLTools Beispielprogramm für CSV2sql
@echo:
@echo Dieses Program importiert die Daten aus 3 CSV-Dateien in die
@echo 3 Beispieltabellen Adresse, Person und Wohnort.
@echo Dabei werden verschiedene Arten der Konfiguration verwendet.
@echo Input:
@echo   - example/config/csv2sql.minimal.properties
@echo     Generische Minimalkonfiguration. Der Tabellenname wird als System Property übergeben.
@echo   - example/in/Adresse.csv
@echo   - example/config/csv2sql.Person.properties
@echo     Typische Konfiguration wenn Spaltennamen in Tabelle und Datei übereinstimmen.
@echo   - example/in/Person.csv
@echo   - example/config/csv2sql.Wohnort.sensitive.properties
@echo     Ausführlichere Konfiguration, wenn Spaltennamen in Tabelle und Datei nicht übereinstimmen.
@echo   - example/in/Wohnort.csv
@echo:

@call %~dp0%_setenv.bat

@"%JAVA_CMD%" -cp "%CPBIGQUERY%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"in.dir=%DIR_IN%" -D"out.table=Adresse" com.enitsys.sqltools.CSV2sql csv2sql.minimal sqltoolsexample.BigQuery Adresse.csv

@echo:

@"%JAVA_CMD%" -cp "%CPBIGQUERY%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"in.dir=%DIR_IN%" com.enitsys.sqltools.CSV2sql csv2sql.Person sqltoolsexample.BigQuery Person.csv

@echo:

@"%JAVA_CMD%" -cp "%CPBIGQUERY%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"in.dir=%DIR_IN%" com.enitsys.sqltools.CSV2sql csv2sql.Wohnort.sensitive sqltoolsexample.BigQuery Wohnort.csv

@echo:
pause
