select * from (
select 'ForeignKey' dependency_type, tcc.constraint_name,tx.object_type,tcc.table_name object_name, listagg(tcc.column_name,',') within group(order by tcc.position) object_columns,sx.object_type src_type, scc.table_name src_name, listagg(scc.column_name,',') within group(order by tcc.position) src_columns
from user_constraints tc 
join user_objects tx on tc.table_name=tx.object_name
join user_cons_columns tcc on tc.constraint_name=tcc.constraint_name and tc.constraint_type='R'
join user_constraints sc on tc.r_constraint_name=sc.constraint_name and sc.constraint_type in ('P','U')
join user_objects sx on sc.table_name=sx.object_name
join user_cons_columns scc on sc.constraint_name=scc.constraint_name and scc.position=tcc.position
group by  tcc.constraint_name,tx.object_type,tcc.table_name,sx.object_type,scc.table_name
union all
select 'CodeReference' dependency_type, null constraint_name, x1.object_type, x1.object_name, null object_column_name, nvl(x3.object_type,x2.object_type) src_type, nvl(x3.object_name,x2.object_name) src_name, null src_column_name
from SYS.PUBLIC_DEPENDENCY y
   , user_objects x1
   , user_objects x2
   , user_synonyms z2
   , user_objects x3
where y.OBJECT_ID=x1.OBJECT_ID
  and y.REFERENCED_OBJECT_ID=x2.OBJECT_ID
  and x2.OBJECT_NAME=z2.SYNONYM_NAME(+)
  and z2.table_name=x3.object_name(+)
and not (x1.OBJECT_TYPE in ('SYNONYM'))
and not (x1.OBJECT_NAME like 'SYS%')
and not (x2.OBJECT_NAME like 'SYS%')
and not (x1.object_name=x2.object_name and x1.object_type='PACKAGE BODY' and x2.object_type='PACKAGE')
) 
order by 3,4,5,6,1,2
