@setlocal
@chcp 65001 >nul

@echo enitsys SQLTools Beispielprogramm für SQL2csv
@echo:
@echo Dieses Program exportiert die Daten aus den
@echo 3 Beispieltabellen Adresse, Person und Wohnort
@echo in CSV-Dateien.
@echo Input:
@echo   - example/config/sql2csv.Adresse.BigQuery.properties
@echo   - example/config/sql2csv.Person.BigQuery.properties
@echo   - example/config/sql2csv.Wohnort.BigQuery.properties
@echo Output:
@echo   - example/out/BigQuery/Adresse.csv
@echo   - example/out/BigQuery/Person.csv
@echo   - example/out/BigQuery/Wohnort.csv
@echo:

@call %~dp0%_setenv.bat

@set DIR_OUT=%DIR_OUT%/BigQuery

@"%JAVA_CMD%" -cp "%CPBIGQUERY%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"sql.dir=%DIR_SQL%" -D"out.dir=%DIR_OUT%" com.enitsys.sqltools.SQL2csv sql2csv.Adresse sqltoolsexample.BigQuery

@echo:

@"%JAVA_CMD%" -cp "%CPBIGQUERY%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"sql.dir=%DIR_SQL%" -D"out.dir=%DIR_OUT%" com.enitsys.sqltools.SQL2csv sql2csv.Person sqltoolsexample.BigQuery

@echo:

@"%JAVA_CMD%" -cp "%CPBIGQUERY%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"sql.dir=%DIR_SQL%" -D"out.dir=%DIR_OUT%" com.enitsys.sqltools.SQL2csv sql2csv.Wohnort sqltoolsexample.BigQuery

@echo:
pause
