select object_type,object_name  
  from user_objects 
 where (    (object_type='TABLE' [[filter.object_name.table]])
         or (object_type='VIEW'  [[filter.object_name.view]])
         or (object_type='PACKAGE'  [[filter.object_name.package]])
         or (object_type='PACKAGE BODY'  [[filter.object_name.package]])
       )
order by decode(object_type,'TABLE',1,'VIEW',2,'PACKAGE',3,'PACKAGE BODY',4,99),object_type,object_name
